# Get Users

This endpoint allows you gets all the registered Users

{% hint style="info" %}
**Must have the authorization to use this API**
{% endhint %}

## Reponse would return all users

<mark style="color:blue;">`GET`</mark> `https://example.com/wp-json/rimplenet/v1`

{% tabs %}
{% tab title="200: OK Response Ok" %}

```
{
    "status_code": 200,
    "status": true,
    "message": "User retrieved successfully",
    "data": {
        "others": {
            "totalPages": 9,
            "currentPage": 1
        },
        "users": [
            
            {
                "id": 1,
                "username": "Jane",
                "user_email": "jane@example.com",
                "user_created_at": "2022-05-15 00:42:33",
                "display_name": "JaneD",
                "first_name": "",
                "last_name": "",
                "roles": [
                    "administrator"
                ],
                "account_no": "00000",
                "bank_name": null,
                "bvn": "Test",
                "example_account_status": null
            },
            
           
            {
                "id": 2,
                "username": "john",
                "user_email": "janedoe@gmail.com",
                "user_created_at": "2022-07-24 16:43:54",
                "display_name": "JohnD",
                "first_name": "John",
                "last_name": "Doe",
                "roles": [
                    "subscriber"
                ],
                "account_no": null,
                "bank_name": null,
                "bvn": null,
                "example_account_status": null
            }
        ]
    },
    "error": []
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
To view request params, click on the arrow (>) at the right hand side of the endpoint url to expand or collapse
{% endhint %}

## Sample Response

{% tabs %}
{% tab title="200 OK" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "User retrieved successfully",
    "data": {
        "others": {
            "totalPages": 9,
            "currentPage": 1
        },
        "users": [
            
            {
                "id": 1,
                "username": "Jane",
                "user_email": "jane@example.com",
                "user_created_at": "2022-05-15 00:42:33",
                "display_name": "JaneD",
                "first_name": "",
                "last_name": "",
                "roles": [
                    "administrator"
                ],
                "account_no": "00000",
                "bank_name": null,
                "bvn": "Test",
                "example_account_status": null
            },
            
           
            {
                "id": 2,
                "username": "john",
                "user_email": "janedoe@gmail.com",
                "user_created_at": "2022-07-24 16:43:54",
                "display_name": "JohnD",
                "first_name": "John",
                "last_name": "Doe",
                "roles": [
                    "subscriber"
                ],
                "account_no": null,
                "bank_name": null,
                "bvn": null,
                "example_account_status": null
            }
        ]
    },
    "error": []
}
```

{% endtab %}
{% endtabs %}

## Get single user

This endpoint fetches a single user.

{% hint style="info" %}

#### Must have authorization to use this API

{% endhint %}

<mark style="color:blue;">`GET`</mark>&#x20;

{% hint style="info" %}
To view request params, click on the arrow (>) at the right hand side of the endpoint url to expand or collapse
{% endhint %}

{% tabs %}
{% tab title="200 OK " %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "User retrieved successfully",
    "data": {
        "id": 163,
        "username": "JaneDoe",
        "user_email": "Jane@mailinator.com",
        "user_created_at": "2022-11-12 09:00:24",
        "display_name": "JaneDoe",
        "first_name": "jane",
        "last_name": "Doe",
        "roles": [
            "subscriber"
        ],
        "account_no": null,
        "bank_name": null,
        "bvn": null,
        "rimplenet_account_status": null
    },
    "error": []
}{
    "status_code": 200,
    "status": true,
    "message": "User retrieved successfully",
    "data": {
        "id": 163,
        "username": "JaneDoe",
        "user_email": "Jane@mailinator.com",
        "user_created_at": "2022-11-12 09:00:24",
        "display_name": "JaneDoe",
        "first_name": "jane",
        "last_name": "Doe",
        "roles": [
            "subscriber"
        ],
        "account_no": null,
        "bank_name": null,
        "bvn": null,
        "rimplenet_account_status": null
    },
    "error": []
}{
    "status_code": 200,
    "status": true,
    "message": "User retrieved successfully",
    "data": {
        "id": 163,
        "username": "JaneDoe",
        "user_email": "Jane@mailinator.com",
        "user_created_at": "2022-11-12 09:00:24",
        "display_name": "JaneDoe",
        "first_name": "jane",
        "last_name": "Doe",
        "roles": [
            "subscriber"
        ],
        "account_no": null,
        "bank_name": null,
        "bvn": null,
        "rimplenet_account_status": null
    },
    "error": []
}{
    "status_code": 200,
    "status": true,
    "message": "User retrieved successfully",
    "data": {
        "id": 163,
        "username": "JaneDoe",
        "user_email": "Jane@mailinator.com",
        "user_created_at": "2022-11-12 09:00:24",
        "display_name": "JaneDoe",
        "first_name": "jane",
        "last_name": "Doe",
        "roles": [
            "subscriber"
        ],
        "account_no": null,
        "bank_name": null,
        "bvn": null,
        "rimplenet_account_status": null
    },
    "error": []
}
```

{% endtab %}

{% tab title="404 NOT FOUND" %}

```php
{
    "status_code": 404,
    "status": "Failed",
    "message": "User not found",
    "data": [],
    "error": []
}
```

{% endtab %}

{% tab title="403 FORBIDDEN" %}

```php
{
    "status_code": 403,
    "status": "failed",
    "message": "Permission denied",
    "data": [],
    "error": {
        "unauthorize": "caller_id is not authorized"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://rimplenet.gitbook.io/rimplenet/api-reference/users/get-users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
